Subject: Re: bug#40529: 26.3; global-display-line-numbers-mode and flymake-show-diagnostics-buffer error

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Apr 2020 15:16:31 +0300

> From: João Távora <[email-masked]>
> Date: Fri, 10 Apr 2020 12:50:19 +0100
> Cc: Aidan Beggs <[email-masked]>, [email-masked]
> 
> Thanks, I will have a look at this soon.  One thing I don't understand is 
> the influence of `global-display-line-numbers-mode` in all of this. I suppose
> the situation doesn't happen if it's off.  Knowing why will probably solve
> the mystery.
> 
> Actually, having a look at the backtrace, it seems turning on 
> display-line-numbers-mode causes the tabulated list to reprint itself via some
> hook that is presumably there by default.  

Exactly.  I think this answers your question in the first paragraph.